#ifndef HEAPGRAPH_H__
#define HEAPGRAPH_H__

#include <gtk/gtk.h>

/** Create a widget that holds the heap graph. */
GtkWidget *get_heap_graph ();

/** Add a new heap size and filtered heap size value
 *  To the list of values. 
 */
void add_heap_size_value (int current_heap_size, 
			  int current_filtered_heap_size);

/** Repaint the heap graph. 
 *  Normally you should not need to call this method.
 */
void update_heap_graph ();

#endif /* HEAPGRAPH_H__ */
